2011-09-14 16:49  thassine

	* Makefile.in, autogen.sh, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, po/LINGUAS,
	  po/Makefile.in, po/Makefile.in.in, po/de.po, src/Makefile.in,
	  src/libghemical-features.h, src/libghemicalconfig.h.in: add
	  german translation + configuration scripts updated.

2009-11-02 15:02  thassine

	* po/LINGUAS, po/fi.po, po/ru.po: russian translation added.

2009-09-11 12:51  thassine

	* configure, configure.ac, po/Makefile.in, src/Makefile.am,
	  src/Makefile.in, src/libghemical-features.h: version 2.99.1
	  released due to a missing file.

2009-09-04 12:41  thassine

	* ChangeLog: ChangeLog update

2009-09-04 12:28  thassine

	* configure, configure.ac, po/Makefile.in, src/Makefile.am,
	  src/Makefile.in, src/libghemical-features.h: release the version
	  2.99.1

2009-08-10 11:22  thassine

	* po/LINGUAS, po/pt_BR.po, src/libghemical-features.h: translation
	  pt_BR added (thanks to Ulisses)

2009-04-30 11:01  thassine

	* po/mk.po, po/sq.po, src/tab_mm_default.cpp: an AMBER-param error
	  fixed.

2009-04-21 11:33  thassine

	* po/LINGUAS, po/POTFILES, po/POTFILES.in, po/fi.po, po/mk.po,
	  po/sq.po, src/bond.cpp, src/bond.h, src/conjgrad.cpp,
	  src/eng1_mm.cpp, src/eng1_qm_mopac.cpp, src/mfinder.cpp,
	  src/model.cpp, src/seqbuild.cpp, src/seqbuild.h,
	  src/typerule.cpp, src/utility.cpp: added translations mk + po ;
	  translation fi updated.

2009-04-01 05:48  thassine

	* src/atom.cpp, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_qm.cpp, src/eng1_qm.h, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/eng2_qm_mm.cpp, src/eng2_qm_mm.h,
	  src/engine.cpp, src/intcrd.cpp, src/mfinder.cpp, src/model.cpp,
	  src/pop_ana.cpp, src/sasaeval.cpp, src/sasaeval.h,
	  src/search.cpp, src/seqbuild.cpp, src/tab_mm_default.cpp,
	  src/typerule.cpp: added assertion_failed() method for fatal error
	  reporting.

2008-12-09 10:41  thassine

	* INSTALL, po/Makefile.in, po/fi.po, src/atom.cpp, src/bond.cpp,
	  src/chn_info.cpp, src/conjgrad.cpp, src/eng1_mm.cpp,
	  src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_qm.cpp, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/eng2_qm_mm.cpp, src/engine.cpp,
	  src/intcrd.cpp, src/libghemical-features.h, src/mfinder.cpp,
	  src/model.cpp, src/notice.cpp, src/notice.h, src/pop_ana.cpp,
	  src/sasaeval.cpp, src/sasaeval.h, src/search.cpp,
	  src/seqbuild.cpp, src/tab_mm_default.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_tripos52.cpp, src/typerule.cpp, src/utility.cpp:
	  translations added ; Vlado Peshov.

2008-11-26 11:03  thassine

	* Makefile.am, Makefile.in, autogen.sh, bin/Makefile.in,
	  bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac, po,
	  po/LINGUAS, po/Makefile.in, po/Makefile.in.in, po/POTFILES,
	  po/POTFILES.in, po/fi.po, po/stamp-it, src/Makefile.am,
	  src/Makefile.in, src/libghemicalconfig.h.in, src/local_i18n.h,
	  src/model.cpp: started adding gettext()-translations ; Vlado
	  Peshov + others.

2008-11-18 19:19  thassine

	* src/simple_test/Makefile, src/simple_test/example1.cpp,
	  src/simple_test/example1.h, src/simple_test/example2.cpp,
	  src/simple_test/example2.h, src/simple_test/example3.cpp,
	  src/simple_test/example3.h, src/simple_test/fileio.cpp,
	  src/simple_test/streamio.cpp: the examples are now tested and
	  updated ; TODO : example3 suffers from libghemical_init() output.

2008-10-22 09:41  thassine

	* INSTALL, Makefile.in, autogen.sh, bin/Makefile.in,
	  bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  src/Makefile.in, src/libghemicalconfig.h.in, src/sasaeval.h,
	  src/tab_mm_default.h: configuration update (Daniel Leidert) +
	  minor fixes

2008-08-06 12:15  thassine

	* Makefile.am, Makefile.in, src/libghemical-features.h: added
	  autogen.sh to EXTRA_DIST.

2008-08-01 06:56  thassine

	* Makefile.in, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  src/Makefile.in: configuration fix.

2008-08-01 06:36  thassine

	* src/sasaeval.cpp, src/sasaeval.h: patched sasaeval to make it
	  compile more reliably.

2008-07-31 10:29  thassine

	* configure, configure.ac, src/libghemical-features.h: forgot the
	  releasedate

2008-07-31 10:06  thassine

	* configure, configure.ac, src/Makefile.am, src/Makefile.in,
	  src/libghemical-features.h, src/typedef.h: version number changed
	  to 2.98

2008-07-31 07:59  thassine

	* src/typedef.h: removed dependencies to GL/glut.h data types ;
	  GL/gl.h data types dependency is optional.

2008-07-30 20:18  thassine

	* bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in: added Makefile.in files for
	  clarity...

2008-07-30 20:11  thassine

	* bin/Makefile.in: added bin/Makefile.in

2008-07-30 20:10  thassine

	* src/Makefile.in: added src/Makefile.in for clarity.

2008-07-30 20:07  thassine

	* Makefile.in, configure, configure.ac, src/eng1_mm.cpp,
	  src/eng1_mm.h, src/eng1_qm.cpp, src/eng1_qm.h, src/eng1_sf.cpp,
	  src/eng1_sf.h, src/eng2_qm_mm.cpp, src/eng2_qm_mm.h,
	  src/engine.h, src/geomopt.h, src/model.cpp, src/model.h,
	  src/moldyn.h, src/seqbuild.cpp, src/tab_mm_default.cpp,
	  src/tab_mm_default.h, src/tab_mm_tripos52.cpp,
	  src/tab_mm_tripos52.h, src/typedef.h, src/utility.h,
	  src/win32_hacks.cpp, src/win32_hacks.h: renamed AddAtom_lg() and
	  GetClassName_lg() ; libghemical_init() added ; win32-related
	  changes mostly.

2008-07-18 08:24  thassine

	* src/engine.cpp, src/engine.h, src/model.cpp, src/moldyn.cpp,
	  src/moldyn.h: langevin dynamics is pulled out ; no applications
	  so the implementation is not well tested...

2008-05-22 10:59  thassine

	* src/Makefile.am, src/engine.h, src/sasaeval.cpp, src/sasaeval.h:
	  added a SASA evaluator ; transferred from the eng1_sf_cg.cpp
	  file.

2008-04-28 12:11  thassine

	* src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_sf.cpp,
	  src/eng1_sf.h: some stuff renamed ; unfortunately this will
	  affect ghemical as well...

2008-02-26 11:32  thassine

	* src/atom.cpp, src/chn_info.cpp, src/eng1_mm.cpp,
	  src/eng1_qm_mopac.cpp, src/mfinder.cpp, src/model.cpp,
	  src/notice.cpp, src/seqbuild.cpp, src/tab_mm_default.cpp,
	  src/tab_mm_prmfit.cpp, src/tab_mm_tripos52.cpp, src/typerule.cpp,
	  src/utility.cpp, src/win32_hacks.cpp: should now compile with g++
	  v4.3

2008-01-07 13:06  thassine

	* src/atom.cpp, src/atom.h, src/bond.cpp, src/bond.h,
	  src/chn_info.cpp, src/chn_info.h, src/conjgrad.cpp,
	  src/conjgrad.h, src/constraint.cpp, src/constraint.h,
	  src/eng1_mm.cpp, src/eng1_mm.h, src/eng1_mm_default.cpp,
	  src/eng1_mm_default.h, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_prmfit.h, src/eng1_mm_tripos52.cpp,
	  src/eng1_mm_tripos52.h, src/eng1_qm.cpp, src/eng1_qm.h,
	  src/eng1_qm_mopac.cpp, src/eng1_qm_mopac.h, src/eng1_qm_mpqc.cpp,
	  src/eng1_qm_mpqc.h, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/eng1_sf_cg.cpp, src/eng1_sf_cg.h, src/eng1_sf_ua.cpp,
	  src/eng1_sf_ua.h, src/eng2_qm_mm.cpp, src/eng2_qm_mm.h,
	  src/engine.cpp, src/engine.h, src/geomopt.cpp, src/geomopt.h,
	  src/intcrd.cpp, src/intcrd.h, src/libghemicaldefine.h,
	  src/mfinder.cpp, src/mfinder.h, src/model.cpp, src/model.h,
	  src/moldyn.cpp, src/moldyn.h, src/notice.cpp, src/notice.h,
	  src/pop_ana.cpp, src/pop_ana.h, src/resonance.cpp,
	  src/resonance.h, src/search.cpp, src/search.h, src/seqbuild.cpp,
	  src/seqbuild.h, src/simple_test/example1.cpp,
	  src/simple_test/example1.h, src/simple_test/example2.cpp,
	  src/simple_test/example2.h, src/simple_test/example3.cpp,
	  src/simple_test/example3.h, src/simple_test/fileio.cpp,
	  src/simple_test/streamio.cpp, src/tab_mm_default.cpp,
	  src/tab_mm_default.h, src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h,
	  src/tab_mm_tripos52.cpp, src/tab_mm_tripos52.h, src/typedef.h,
	  src/typerule.cpp, src/typerule.h, src/utility.cpp, src/utility.h,
	  src/v3d.h, src/win32_hacks.cpp, src/win32_hacks.h: copyright
	  notice update

2008-01-07 11:28  thassine

	* autogen.sh, src/libghemicaldefine.h, src/model.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_tripos52.cpp: do not use NEWLINE anymore (but simply
	  endl). autogen.sh update.

2007-10-24 08:43  thassine

	* src/moldyn.h: added a fix for gcc4

2007-10-09 06:10  thassine

	* configure.ac, src/Makefile.am, src/libghemical-features.h: fixed
	  the libtool versioninfo

2007-09-21 09:59  thassine

	* bin/amber/Makefile.am, bin/amber/all_amino02.in,
	  bin/amber/all_amino94_MOD.in, bin/amber/all_aminoct02.in,
	  bin/amber/all_aminoct94.in, bin/amber/all_aminont02.in,
	  bin/amber/all_aminont94.in, bin/amber/all_nuc02.in,
	  bin/amber/all_nuc94_MOD.in, bin/amber/original,
	  bin/amber/original/all_amino94.in,
	  bin/amber/original/all_nuc94.in,
	  bin/amber/original/frcmod.ff99SB, bin/amber/original/parm99.dat,
	  bin/amber/parm99.dat, bin/amber/parm99_frcmod_ff99SB.dat,
	  configure.ac, src/atom.h, src/libghemical-features.h,
	  src/model.cpp, src/seqbuild.cpp, src/tab_mm_default.cpp,
	  src/win32_hacks.cpp: commit 20070921

2007-05-04 09:23  thassine

	* src/tab_mm_default.cpp: an another set of AMBER checks/fixes ;
	  should be OK now.

2007-05-03 09:04  thassine

	* bin/amber/all_nuc02.in, src/tab_mm_default.cpp: added more fixes
	  for the AMBER forcefield

2007-04-30 10:51  thassine

	* src/libghemical-features.h, src/tab_mm_default.cpp: some AMBER
	  atom type fixes added.

2007-03-13 08:54  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_tripos52.cpp: checked the nonbonded 1,4-scalings ;
	  should be/have been ok ; debug stuff added.

2007-02-13 08:22  thassine

	* bin/builder/amino.txt, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_tripos52.cpp, src/engine.cpp,
	  src/engine.h, src/model.cpp, src/model.h, src/search.cpp,
	  src/seqbuild.cpp, src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h,
	  src/tab_mm_tripos52.cpp, src/tab_mm_tripos52.h: changes in
	  seq-builder and in engine classes.

2007-02-01 13:16  thassine

	* bin/builder/amino.txt, bin/builder/nucleic.txt,
	  src/libghemical-features.h, src/seqbuild.cpp, src/seqbuild.h:
	  some sequencebuilder tweaks.

2007-01-30 09:12  thassine

	* src/atom.h, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_tripos52.cpp, src/intcrd.cpp,
	  src/mfinder.cpp, src/model.cpp, src/model.h, src/seqbuild.cpp,
	  src/seqbuild.h, src/tab_mm_default.cpp, src/typerule.cpp,
	  src/utility.cpp: atom::cr_list is protected now ;
	  model::UpdateChains() may ask nucl-acid detection skipped.

2007-01-25 10:17  thassine

	* src/atom.cpp, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/engine.cpp, src/engine.h,
	  src/model.cpp, src/model.h, src/utility.h: added code for
	  collecting energy components using atom groups.

2007-01-16 09:05  thassine

	* bin/builder/amino.txt, src/chn_info.h, src/eng1_sf.cpp,
	  src/eng1_sf.h, src/model.cpp, src/model.h, src/seqbuild.h,
	  src/tab_mm_prmfit.h, src/win32_hacks.h: various small changes.

2007-01-15 10:24  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h,
	  src/eng1_mm_tripos52.cpp, src/eng1_mm_tripos52.h, src/eng1_qm.h,
	  src/eng1_sf.cpp, src/eng1_sf.h, src/eng2_qm_mm.h, src/engine.h,
	  src/libghemical-features.h: changed the SetTorsionConstraint()
	  method parameters.

2007-01-15 07:53  thassine

	* src/libghemical-features.h, src/model.cpp: changes for the win32
	  version.

2006-12-21 10:40  thassine

	* configure.ac, src/Makefile.am, src/eng1_mm.cpp, src/geomopt.h,
	  src/libghemicaldefine.h, src/model.cpp, src/model.h,
	  src/moldyn.h, src/search.cpp, src/win32_hacks.cpp,
	  src/win32_hacks.h: minor changes + additions for win32
	  compilation.

2006-11-08 12:26  thassine

	* AUTHORS, configure.ac, libghemical.pc.in: some configuration
	  fixes added (thanks Jean).

2006-10-31 10:48  thassine

	* src/atom.h: added a new atomflag ; the atomflag values below 256
	  should be internal (not saved).

2006-10-26 12:38  thassine

	* src/conjgrad.cpp, src/eng1_qm_mopac.cpp, src/eng1_qm_mopac.h,
	  src/engine.cpp, src/search.cpp, src/search.h: TSS bugfixes added.

2006-10-24 12:21  thassine

	* src/stamp-h1.in, src/stamp-h2.in: removed unnecessary files.

2006-10-24 12:19  thassine

	* src/stamp-h2: removed unnecessary files.

2006-10-24 11:54  thassine

	* src/stamp-h1.in, src/stamp-h2.in: added the new files
	  (libghemical-features.h)...

2006-10-24 11:52  thassine

	* src/stamp-h2: added the new files (libghemical-features.h)...

2006-10-24 11:50  thassine

	* src/libghemical-features.h, src/libghemical-features.h.in: added
	  the new files (libghemical-features.h).

2006-10-24 11:48  thassine

	* configure.ac, src/Makefile.am, src/atom.cpp, src/atom.h,
	  src/bond.cpp, src/bond.h, src/chn_info.cpp, src/chn_info.h,
	  src/conjgrad.cpp, src/conjgrad.h, src/constraint.cpp,
	  src/constraint.h, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h,
	  src/eng1_mm_tripos52.cpp, src/eng1_mm_tripos52.h,
	  src/eng1_qm.cpp, src/eng1_qm.h, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mopac.h, src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h,
	  src/eng1_sf.cpp, src/eng1_sf.h, src/eng1_sf_cg.cpp,
	  src/eng1_sf_cg.h, src/eng1_sf_ua.cpp, src/eng1_sf_ua.h,
	  src/eng2_qm_mm.cpp, src/eng2_qm_mm.h, src/engine.cpp,
	  src/engine.h, src/geomopt.cpp, src/geomopt.h, src/intcrd.cpp,
	  src/intcrd.h, src/libghemicalconfig.h.in, src/mfinder.cpp,
	  src/mfinder.h, src/model.cpp, src/model.h, src/moldyn.cpp,
	  src/moldyn.h, src/notice.cpp, src/notice.h, src/pop_ana.cpp,
	  src/pop_ana.h, src/resonance.cpp, src/resonance.h,
	  src/search.cpp, src/search.h, src/seqbuild.cpp, src/seqbuild.h,
	  src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h,
	  src/tab_mm_tripos52.cpp, src/tab_mm_tripos52.h, src/typedef.h,
	  src/typerule.cpp, src/typerule.h, src/utility.cpp, src/utility.h:
	  libghemical-features.h implemented (thanks to Jean Brefort).

2006-10-19 12:16  thassine

	* src/Makefile.am: versioninfo added.

2006-10-11 10:47  thassine

	* src/engine.cpp, src/engine.h: added a method engine::ReadCRD()
	  for looking at engine::crd.

2006-08-31 11:03  thassine

	* src/model.cpp, src/utility.cpp: minor bugfixes added + few
	  comments.

2006-08-29 08:11  thassine

	* ChangeLog, src/seqbuild.cpp: changelog update

2006-08-28 12:22  thassine

	* src/chn_info.cpp, src/chn_info.h, src/seqbuild.cpp: fixed a
	  memory bug.

2006-08-28 11:18  thassine

	* INSTALL, bin/builder/amino.txt, bin/builder/nucleic.txt,
	  src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h, src/model.cpp,
	  src/model.h, src/seqbuild.cpp, src/seqbuild.h, src/typedef.h:
	  many changes at sequencebuilder

2006-08-07 12:28  thassine

	* ChangeLog, configure.ac, src/seqbuild.cpp, src/seqbuild.h:
	  version number change

2006-08-07 11:49  thassine

	* .cvsignore, bin/.cvsignore, bin/amber/.cvsignore,
	  bin/builder/.cvsignore, bin/param_mm/.cvsignore,
	  bin/param_mm/default/.cvsignore, bin/param_mm/prmfit/.cvsignore,
	  bin/param_mm/tripos52/.cvsignore, bin/param_sf/.cvsignore,
	  bin/param_sf/default/.cvsignore, src/.cvsignore: removed the
	  .cvsignore files.

2006-07-31 10:45  thassine

	* bin/param_mm/tripos52/atomtypes.txt, src/seqbuild.cpp,
	  src/seqbuild.h: more changes at seqbuild code.

2006-07-24 11:40  thassine

	* bin/builder/amino.txt, configure.ac, src/Makefile.am,
	  src/chn_info.cpp, src/chn_info.h, src/eng1_sf.cpp,
	  src/mfinder.cpp, src/mfinder.h, src/model.cpp, src/model.h,
	  src/seqbuild.cpp, src/seqbuild.h, src/tab_mm_default.cpp,
	  src/utility.cpp: the sequence builder code has been updated (no
	  longer compatible with the old one.

2006-07-12 10:01  thassine

	* bin/builder/amino.txt, bin/builder/nucleic.txt, src/eng1_sf.cpp,
	  src/seqbuild.cpp, src/seqbuild.h: changes in sequence-builder
	  code and data files.

2006-04-24 12:02  thassine

	* configure.ac: changed version number after a release.

2006-04-24 12:00  thassine

	* ChangeLog, configure.ac: this is v2.00

2006-04-11 09:04  thassine

	* ChangeLog, INSTALL, configure.ac: this is v2.00rc1

2006-03-29 08:41  thassine

	* INSTALL, src/model.cpp: documentation update.

2006-03-28 16:19  hutchisn

	* src/model.cpp: Check for selected atoms before adding hydrogens.
	  If the user has selected atoms,
	  only add to those atoms.

2006-03-28 10:49  thassine

	* ., .cvsignore: cvsignore update.

2006-03-28 10:36  thassine

	* config.guess, config.sub, ltmain.sh: removed some unnecessary
	  files.

2006-03-23 11:42  thassine

	* src/model.cpp: fixed a text string.

2006-03-22 13:01  thassine

	* src/model.cpp: a change in mol.dyn.

2006-03-22 12:21  thassine

	* src/Makefile.am, src/atom.cpp, src/atom.h, src/constraint.cpp,
	  src/constraint.h, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/eng1_sf.cpp, src/engine.h,
	  src/model.cpp, src/model.h: added (distance)constraints ; Donald
	  Curtis.

2006-03-18 17:02  thassine

	* src/eng1_mm_default.cpp, src/model.cpp, src/moldyn.cpp: some
	  mol.dyn. changes.

2006-03-14 13:47  thassine

	* src/moldyn.h: a few more mol.dyn. changes.

2006-03-14 08:45  thassine

	* src/model.cpp, src/moldyn.cpp, src/moldyn.h, src/search.cpp,
	  src/tab_mm_prmfit.cpp: added some mol.dyn. improvements ; some
	  missing srand() calls added.

2006-03-10 12:12  thassine

	* src/eng1_qm_mopac.cpp, src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h,
	  src/eng2_qm_mm.cpp, src/eng2_qm_mm.h, src/model.cpp, src/model.h:
	  added a mopac/mpqc patch (Jean Br�fort), and a new Orient()
	  method.

2006-03-08 10:33  thassine

	* ., .cvsignore, aclocal.m4, src/eng1_mm.cpp, src/engine.cpp:
	  aclocal.m4 removed ; some mol.dyn. related changes added.

2006-03-07 13:42  thassine

	* aclocal.m4, src/engine.cpp: a bugfix for CheckLocations().

2006-03-07 13:22  thassine

	* aclocal.m4, src/eng1_mm.cpp, src/engine.cpp, src/engine.h:
	  CheckLocations() changed.

2006-03-07 10:49  thassine

	* aclocal.m4, autogen.sh, config.guess, config.sub, ltmain.sh:
	  updated autogen.sh

2006-03-07 08:44  thassine

	* aclocal.m4, src/eng1_mm_default.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_sf.cpp, src/eng1_sf.h, src/engine.h, src/model.cpp:
	  added engine::RequestNeighborListUpdate().

2006-03-06 08:53  thassine

	* aclocal.m4, src/engine.h, src/model.cpp: added a method
	  RequestUpdateTerms().

2006-03-06 07:46  thassine

	* aclocal.m4, src/moldyn.cpp: a minor fix in mol.dyn.

2006-03-03 12:56  thassine

	* aclocal.m4, src/atom.cpp, src/atom.h: added Donald's freezed atom
	  changes.

2006-03-03 12:24  thassine

	* ., .cvsignore, Makefile.in, aclocal.m4, autogen.sh, bin,
	  bin/.cvsignore, bin/Makefile.in, bin/amber, bin/amber/.cvsignore,
	  bin/amber/Makefile.in, bin/builder, bin/builder/.cvsignore,
	  bin/builder/Makefile.in, bin/param_mm, bin/param_mm/.cvsignore,
	  bin/param_mm/Makefile.in, bin/param_mm/default,
	  bin/param_mm/default/.cvsignore,
	  bin/param_mm/default/Makefile.in, bin/param_mm/prmfit,
	  bin/param_mm/prmfit/.cvsignore, bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52, bin/param_mm/tripos52/.cvsignore,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf,
	  bin/param_sf/.cvsignore, bin/param_sf/Makefile.in,
	  bin/param_sf/default, bin/param_sf/default/.cvsignore,
	  bin/param_sf/default/Makefile.in, configure, src, src/.cvsignore,
	  src/Makefile.in, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/engine.cpp, src/engine.h, src/model.cpp, src/model.h,
	  src/moldyn.cpp, src/moldyn.h: many changes ; especially at
	  mol.dyn. code ; autogen.sh added

2006-03-01 12:15  thassine

	* aclocal.m4, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_sf.cpp, src/engine.cpp, src/engine.h, src/model.cpp,
	  src/model.h, src/moldyn.cpp, src/moldyn.h: many changes in
	  mol.dyn. code.

2006-02-28 12:14  thassine

	* aclocal.m4, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_tripos52.cpp, src/eng1_mm_tripos52.h,
	  src/eng1_qm_mopac.h, src/eng1_qm_mpqc.h, src/eng1_sf.cpp,
	  src/eng1_sf.h, src/eng2_qm_mm.cpp, src/eng2_qm_mm.h,
	  src/engine.cpp, src/engine.h, src/model.cpp, src/model.h: added
	  cleanups/changes for virial/pressure calculations.

2006-02-27 11:25  thassine

	* aclocal.m4, src/eng1_mm.cpp, src/eng1_qm_mpqc.cpp, src/model.cpp,
	  src/search.cpp, src/tab_mm_prmfit.cpp: tried to do a bit safer
	  stringstream code ; only take the c_str out for copying into a
	  buffer or for passing as a parameter.

2006-02-27 08:29  thassine

	* aclocal.m4, src/eng1_sf.h: a bugfix added...

2006-02-24 13:50  thassine

	* aclocal.m4, src/model.cpp: fixed a bug in box solvation.

2006-02-20 12:34  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, src/Makefile.in,
	  src/atom.cpp, src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_qm_mopac.cpp, src/eng1_qm_mpqc.cpp, src/eng1_sf.cpp,
	  src/model.cpp, src/notice.cpp, src/search.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_tripos52.cpp, src/typedef.h: output-streams-code
	  changed.

2006-02-17 19:14  hutchisn

	* ChangeLog, src/atom.cpp, src/eng1_mm.cpp,
	  src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/eng1_sf.cpp, src/model.cpp,
	  src/moldyn.cpp, src/notice.cpp, src/search.cpp, src/seqbuild.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_tripos52.cpp, src/typerule.cpp, src/utility.cpp: *
	  src/*.cpp: Update to use stringstream and <sstream> headers --
	  fixes backwards-compatibility warnings using GCC.

2006-02-17 16:18  hutchisn

	* ChangeLog, Makefile.in, acinclude.m4, aclocal.m4,
	  bin/Makefile.in, bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, config.guess, config.sub,
	  configure, depcomp, install-sh, ltmain.sh, missing,
	  mkinstalldirs, src, src/.cvsignore, src/Makefile.in: *
	  acinclude.m4: Fix underquoted macros to prevent warnings.
	  
	  * aclocal.m4, config.guess, config.sub, configure
	  depcomp, install-sh, ltmain.sh, missing, mkinstalldirs
	  */Makefile.in: Update with latest automake (1.9.6), libtool
	  (1.5.22).

2006-02-16 09:20  thassine

	* aclocal.m4, config.guess, config.sub, ltmain.sh: configure
	  updates.

2006-02-10 14:22  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  libghemical.pc.in, src/Makefile.am, src/Makefile.in,
	  src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_sf.cpp, src/engine.cpp,
	  src/libghemicalconfig.h.in, src/model.cpp, src/pop_ana.cpp,
	  src/seqbuild.cpp, src/seqbuild.h, src/typedef.h, src/utility.cpp,
	  src/utility.h, src/v3d.h: many changes...

2006-02-07 12:44  thassine

	* src/eng1_mm.h, src/eng1_sf.h, src/engine.h, src/geomopt.h,
	  src/model.cpp, src/model.h, src/moldyn.h: data hiding fixes ; no
	  longer need to declare classes of the ghemical app as friend
	  classes ; still no perfect but a good start.

2006-02-06 14:02  thassine

	* src/eng1_mm.h, src/eng1_sf.h, src/engine.h, src/geomopt.h,
	  src/model.h, src/moldyn.h: fixed some friend statements ; these
	  should be cleaned away in future...

2006-02-06 09:40  thassine

	* src/utility.cpp: some comments added.

2006-02-06 08:29  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/model.h: minor changes.

2006-01-19 13:38  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h: removed some unnecessary changes.

2006-01-19 07:41  thassine

	* src/Makefile.am, src/Makefile.in, src/atom.h, src/bond.h,
	  src/conjgrad.h, src/eng1_sf.cpp, src/eng1_sf.h, src/engine.h,
	  src/intcrd.cpp, src/intcrd.h, src/libdefine.h,
	  src/libghemicaldefine.h, src/model.cpp, src/model.h,
	  src/notice.cpp, src/notice.h, src/seqbuild.cpp, src/seqbuild.h,
	  src/tab_mm_default.h, src/tab_mm_tripos52.h, src/typedef.h,
	  src/typerule.cpp, src/typerule.h, src/utility.cpp, src/utility.h:
	  libdefine.h was renamed to libghemicaldefine.h

2005-12-14 14:10  thassine

	* src, src/.cvsignore: minor changes.

2005-11-29 10:54  thassine

	* src/geomopt.cpp: oops ; geomopt.cpp pathed wrong way.

2005-11-29 10:39  thassine

	* src/atom.h, src/geomopt.cpp, src/model.cpp, src/moldyn.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_tripos52.cpp: some changes in the atom flags ; need to
	  separate the user/system level hidden atoms.

2005-11-17 12:31  thassine

	* src/eng1_sf.h: added an another table.

2005-11-17 11:56  thassine

	* src/eng1_sf.h: a new table was added for visualization params.

2005-11-10 10:00  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  ltmain.sh, src/Makefile.in: changed the version number into 1.92
	  after a release.

2005-11-02 12:24  thassine

	* configure, src/model.h: minor changes ; needed for the app.

2005-10-26 21:44  hutchisn

	* ., .cvsignore, ChangeLog, Makefile.in, aclocal.m4,
	  bin/Makefile.in, bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, config.guess, config.sub,
	  configure, configure.ac, ltmain.sh, src, src/.cvsignore,
	  src/Makefile.in: * configure.ac, configure: Update to use
	  openbabel-2.0 check,
	  rather than openbabel.
	  
	  * ltmain.sh, aclocal.m4, */Makefile.in: Update with latest
	  autoconf, libtool (1.5.20).

2005-10-08 15:12  thassine

	* Makefile.in, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  src/Makefile.in, src/atom.cpp, src/atom.h, src/libdefine.h,
	  src/libghemicalconfig.h.in: OpenGL bugfixes on 64-bit platforms ;
	  just a new value stored in atom objects

2005-09-26 08:46  thassine

	* src/eng1_sf_cg.cpp, src/eng1_sf_cg.h, src/eng1_sf_ua.cpp,
	  src/eng1_sf_ua.h: oops! forgot to add some files...

2005-09-19 09:21  thassine

	* src/eng1_qm_mopac.cpp, src/search.cpp: minor tweaks ; now should
	  compile with the FC4 compiler.

2005-08-24 09:55  thassine

	* src/Makefile.am, src/Makefile.in, src/eng2_mm_sf.cpp,
	  src/eng2_mm_sf.h, src/model.cpp: removed the mm_sf model type.

2005-08-23 11:27  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/builder/amino.txt,
	  bin/builder/nucleic.txt, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  depcomp, src/Makefile.am, src/Makefile.in, src/eng1_qm_mopac.cpp,
	  src/search.h, src/seqbuild.cpp, src/seqbuild.h: now depends on
	  mopac7-1.10 ; also other smaller changes here and there.

2005-07-06 08:59  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  src/Makefile.am, src/Makefile.in, src/atom.h, src/bond.h,
	  src/conjgrad.h, src/eng1_mm.h, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.h, src/eng1_mm_tripos52.h, src/eng1_qm.h,
	  src/eng1_qm_mopac.h, src/eng1_qm_mpqc.h, src/eng1_sf.h,
	  src/eng2_mm_sf.h, src/eng2_qm_mm.h, src/engine.h, src/geomopt.h,
	  src/intcrd.h, src/libconfig.h.in, src/libdefine.h,
	  src/libghemicalconfig.h.in, src/model.h, src/moldyn.h,
	  src/notice.h, src/pop_ana.h, src/resonance.h, src/search.h,
	  src/seqbuild.h, src/tab_mm_default.h, src/tab_mm_prmfit.h,
	  src/tab_mm_tripos52.h, src/typedef.h, src/typerule.h,
	  src/utility.h, src/v3d.h: config headers changed to avoid
	  multiple PACKAGE definitions.

2005-07-05 08:01  thassine

	* INSTALL, Makefile.in, aclocal.m4, configure, configure.ac,
	  src/Doxyfile, src/eng1_qm_mopac.cpp, src/libconfig.h.in: a fix
	  for the f2c.h/g2c.h issue ported form libmopac7 ; tested to
	  compile with g++-3.4 ok

2005-07-01 12:48  thassine

	* Makefile.in, src/atom.h, src/bond.h, src/conjgrad.h,
	  src/eng1_mm.h, src/eng1_mm_default.h, src/eng1_mm_prmfit.h,
	  src/eng1_mm_tripos52.h, src/eng1_qm.h, src/eng1_qm_mopac.h,
	  src/eng1_qm_mpqc.h, src/eng1_sf.h, src/eng2_mm_sf.h,
	  src/eng2_qm_mm.h, src/engine.h, src/geomopt.h, src/intcrd.h,
	  src/libdefine.h, src/model.h, src/moldyn.h, src/notice.h,
	  src/pop_ana.h, src/resonance.h, src/search.h, src/seqbuild.h,
	  src/tab_mm_default.h, src/tab_mm_prmfit.h, src/tab_mm_tripos52.h,
	  src/typedef.h, src/utility.cpp, src/utility.h, src/v3d.h: some
	  last-minute changes before release.

2005-07-01 10:49  thassine

	* ChangeLog, INSTALL, aclocal.m4, configure, configure.ac: did the
	  final changes for a release 1.90.

2005-06-30 13:01  thassine

	* Makefile.in, acconfig.h, acinclude.m4, aclocal.m4,
	  bin/Makefile.in, bin/amber/Makefile.in, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.in, bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.ac,
	  configure.in, libghemical.pc.in, src/Makefile.in,
	  src/eng1_qm.cpp, src/eng1_qm_mopac.cpp, src/eng1_qm_mopac.h,
	  src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h, src/eng2_qm_mm.cpp,
	  src/eng2_qm_mm.h, src/libconfig.h.in: a lot of changes in
	  configuration.

2005-06-23 13:19  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/engine.cpp, src/model.cpp,
	  src/model.h: the lib/app interface changed.

2005-06-21 08:14  thassine

	* src/engine.h, src/geomopt.h, src/model.cpp, src/moldyn.cpp,
	  src/moldyn.h, src/utility.cpp, src/utility.h: added some old
	  fixes.

2005-06-20 13:07  thassine

	* src/eng2_mm_sf.cpp, src/eng2_mm_sf.h, src/eng2_qm_mm.cpp:
	  disabled some options/features that are not yet usable.

2005-06-20 10:57  thassine

	* src/eng1_qm.cpp, src/eng1_qm.h, src/eng1_qm_mpqc.cpp,
	  src/seqbuild.h, src/typerule.cpp: added some older fixes.

2005-06-20 09:29  thassine

	* src/geomopt.h, src/model.cpp, src/model.h: minor changes related
	  to app multithreading.

2005-06-14 10:23  thassine

	* src/geomopt.h, src/model.cpp, src/model.h, src/moldyn.h: started
	  converting GO and MD into multithreaded versions.

2005-06-13 10:17  thassine

	* src/model.cpp, src/model.h: a complete multi-threaded Random
	  Search added ; others will follow.

2005-06-13 07:13  thassine

	* config.guess, config.sub, ltmain.sh, src, src/.cvsignore,
	  src/model.cpp, src/model.h, src/search.cpp, src/search.h: added
	  an initial framework for multithreading.

2005-06-08 08:40  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/search.cpp: some formatting
	  changes and a macro changed in eng1_sf.h

2005-05-11 15:14  thassine

	* src/atom.h, src/eng1_mm.h, src/eng1_sf.h, src/engine.h,
	  src/model.h: minor changes ; added some friend definitions for
	  the app.

2005-05-09 06:50  thassine

	* src/atom.h, src/moldyn.cpp, src/moldyn.h: an initial
	  implementation for a LOCKED atom flag.

2005-05-06 10:05  thassine

	* src/atom.cpp, src/atom.h, src/model.cpp, src/model.h,
	  src/search.cpp, src/seqbuild.cpp: a speed optimization in the
	  CenterCRDSet() function.

2005-05-03 12:12  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_sf.cpp, src/model.cpp: some bugfixes added for solvation
	  functions.

2005-04-28 10:17  thassine

	* src/eng1_mm.cpp, src/eng1_mm_default.cpp,
	  src/eng1_mm_tripos52.cpp, src/eng1_qm_mopac.cpp,
	  src/eng1_qm_mpqc.cpp, src/engine.h, src/model.cpp: added an
	  initial version for getting the energy in MM as its components.

2005-04-26 07:20  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_tripos52.cpp,
	  src/eng1_sf.cpp, src/engine.cpp, src/engine.h, src/model.cpp,
	  src/model.h: some changes added in boundary potential code.

2005-04-22 13:41  thassine

	* Makefile.in, aclocal.m4, src/model.h: some class names changed in
	  the app ; sync here.

2005-04-21 12:24  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, bin/amber/Makefile.in,
	  bin/builder/Makefile.in, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.in,
	  bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52/Makefile.in, bin/param_sf/Makefile.in,
	  bin/param_sf/default/Makefile.in, configure, configure.in,
	  src/Makefile.in, src/libconfig.h.in, src/libdefine.h,
	  src/notice.cpp, src/notice.h, src/simple_test/example1.cpp,
	  src/simple_test/example2.cpp, src/simple_test/example3.cpp: made
	  some changes in copyright notices for easier output in the
	  application.

2005-04-19 12:23  thassine

	* src/eng1_mm_tripos52.cpp, src/eng1_mm_tripos52.h,
	  src/simple_test/example1.cpp, src/tab_mm_tripos52.cpp,
	  src/tab_mm_tripos52.h: some files were forgotten from the
	  previous commits ; added them.

2005-04-19 12:20  thassine

	* Makefile.in, aclocal.m4, src/simple_test/Makefile,
	  src/simple_test/example1.h, src/simple_test/example2.cpp,
	  src/simple_test/example2.h, src/simple_test/example3.cpp,
	  src/simple_test/example3.h, src/simple_test/example3_extra,
	  src/simple_test/example3_extra/TestForm.html,
	  src/simple_test/example3_extra/dumpdata.sh,
	  src/simple_test/example3_extra/input_example,
	  src/simple_test/example3_extra/printenv.sh,
	  src/simple_test/st_main.cpp, src/simple_test/st_main.h,
	  src/simple_test/streamio.cpp: updated the example(s) and added
	  some new ones.

2005-04-19 08:48  thassine

	* Makefile.in, aclocal.m4, bin/README, bin/param_mm/Makefile.am,
	  bin/param_mm/Makefile.in, bin/param_mm/prmfit/Makefile.in,
	  bin/param_mm/tripos52, bin/param_mm/tripos52/.cvsignore,
	  bin/param_mm/tripos52/Makefile.am,
	  bin/param_mm/tripos52/Makefile.in,
	  bin/param_mm/tripos52/atomtypes.txt,
	  bin/param_mm/tripos52/parameters1.txt,
	  bin/param_mm/tripos52/parameters2.txt,
	  bin/param_mm/tripos52/parameters3.txt,
	  bin/param_mm/tripos52/parameters4.txt,
	  bin/param_mm/tripos52/parameters5.txt, config.guess, config.sub,
	  configure, configure.in, ltmain.sh, src/Makefile.am,
	  src/Makefile.in, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_default.h, src/engine.h,
	  src/libconfig.h.in, src/model.h: ported the tripos5.2 force field
	  implementation from ghemical-1.01 into libghemical.

2005-04-08 14:59  thassine

	* src/model.cpp, src/model.h: added an utility function.

2005-03-21 12:52  thassine

	* src/Makefile.SIMPLE: added an alternative simple makefile in
	  src/.

2005-02-08 07:12  thassine

	* src/conjgrad.cpp: some updates in conjgrad.cpp Simple linesearch.

2005-02-03 11:44  thassine

	* src/atom.h, src/bond.h, src/engine.cpp, src/search.cpp,
	  src/typedef.h: minor changes to make it compile at FC3.

2005-01-19 11:29  thassine

	* Makefile.in, src/model.cpp, src/model.h: some minor changes for
	  new stuff of my own ; not yet functional.

2005-01-04 11:28  thassine

	* aclocal.m4, src/engine.cpp, src/engine.h, src/moldyn.cpp: added a
	  new virtual method DoSHAKE() in engine class.

2004-12-10 15:14  thassine

	* Makefile.in, aclocal.m4, configure, configure.in,
	  src/eng1_qm_mopac.cpp, src/libconfig.h.in, src/model.h: small
	  fixes added ; depends on libg2c only etc.

2004-09-13 09:17  thassine

	* Makefile.in, src/atom.cpp, src/atom.h, src/eng1_sf.h,
	  src/model.cpp: the atom objects now are aware of the model object
	  ; added some stuff to make everything compile.

2004-08-30 09:28  thassine

	* Makefile.in, aclocal.m4, bin/Makefile.in, configure,
	  configure.in: the include dir is changed into
	  <prefix>/include/ghemical.

2004-08-27 12:07  thassine

	* Makefile.am, Makefile.in, aclocal.m4, libghemical.pc.in,
	  src/Makefile.am, src/Makefile.in: changed includedir to /ghemical
	  and some other changes ; .pc file not updated?

2004-08-26 12:34  thassine

	* aclocal.m4, configure, configure.in, src/Makefile.am,
	  src/Makefile.in, src/Makefile.include, src/libconfig.h.in: added
	  patches to configure/makefiles (Michael Banck).

2004-08-25 11:13  thassine

	* AUTHORS, aclocal.m4, bin, bin/.cvsignore, bin/amber,
	  bin/amber/.cvsignore, bin/amber/Makefile.am,
	  bin/amber/Makefile.in, bin/builder, bin/builder/.cvsignore,
	  bin/builder/Makefile.am, bin/builder/Makefile.in, bin/param_mm,
	  bin/param_mm/.cvsignore, bin/param_mm/Makefile.am,
	  bin/param_mm/default, bin/param_mm/default/.cvsignore,
	  bin/param_mm/default/Makefile.am,
	  bin/param_mm/default/Makefile.in, bin/param_mm/prmfit,
	  bin/param_mm/prmfit/.cvsignore, bin/param_mm/prmfit/Makefile.am,
	  bin/param_mm/prmfit/Makefile.in, bin/param_sf,
	  bin/param_sf/.cvsignore, bin/param_sf/default,
	  bin/param_sf/default/.cvsignore,
	  bin/param_sf/default/Makefile.am,
	  bin/param_sf/default/Makefile.in, config.guess, config.sub,
	  configure, configure.in, ltmain.sh, src/Makefile.am,
	  src/Makefile.in, src/Makefile.include, src/model.cpp: added
	  automake-based configuration scripts (M. Banck and J. Brefort).

2004-08-13 12:14  thassine

	* CHANGES, ChangeLog, Makefile.am, Makefile.in, NEWS, README,
	  acinclude.m4, aclocal.m4, bin/Makefile.am, bin/Makefile.in,
	  bin/amber/Makefile.am, bin/amber/Makefile.in,
	  bin/builder/Makefile.am, bin/builder/Makefile.in,
	  bin/param_mm/Makefile.am, bin/param_mm/Makefile.in,
	  bin/param_mm/default/Makefile.am,
	  bin/param_mm/default/Makefile.in, bin/param_sf/Makefile.am,
	  bin/param_sf/Makefile.in, bin/param_sf/default/Makefile.am,
	  bin/param_sf/default/Makefile.in, configure, configure.in,
	  ltmain.sh, missing, src/Makefile.am, src/Makefile.in,
	  src/libconfig.h.in: added an improved configuration system
	  (Michael Banck and Jean Brefort).

2004-06-07 19:54  hutchisn

	* src/atom.cpp: Updated with standardized element colors.

2004-05-28 15:10  thassine

	* src/typerule.cpp: some checks added to typerule class.

2004-05-13 11:45  thassine

	* acinclude.m4, aclocal.m4, configure, configure.in,
	  libghemical.pc.in: some improvements in configure.in

2004-04-16 09:24  thassine

	* src/seqbuild.cpp: added a fix for TRP-residues in
	  sequencebuilder::Identify().

2004-04-08 10:13  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_qm_mopac.cpp, src/eng1_sf.cpp, src/eng2_mm_sf.cpp,
	  src/eng2_qm_mm.cpp: fixed some compiler warnings.

2004-03-26 09:05  thassine

	* src/bond.cpp, src/bond.h, src/model.cpp, src/model.h: added a new
	  GetRange() method for bonds in model class.

2004-03-18 12:04  thassine

	* src/model.cpp, src/resonance.h: minor changes in
	  resonance_structures class (just a framework, under
	  construction).

2004-03-15 13:01  thassine

	* src/typerule.cpp: implemented the fc=? test in the typerule
	  class.

2004-03-09 08:44  thassine

	* src/model.cpp, src/model.h: added model::GetRS().

2004-03-03 13:13  thassine

	* src/eng1_mm.cpp, src/engine.cpp, src/engine.h,
	  src/simple_test/Makefile, src/simple_test/st_main.cpp: updated
	  simple_test and other minor changes.

2004-02-18 11:47  thassine

	* Makefile.in, configure, configure.in, src/Makefile.in,
	  src/libconfig.h.in, src/model.cpp: some tweaks/cleanups in
	  configure/makefiles.

2004-01-28 08:56  thassine

	* libghemical.pc.in, src/pop_ana.cpp, src/pop_ana.h,
	  src/resonance.cpp, src/resonance.h: added the .pc.in file, a
	  simple QM population analysis code, and some framework for
	  resonance structure determination (to be added later).

2004-01-28 08:53  thassine

	* Makefile.in, bin/param_mm/default/atomtypes.txt,
	  bin/param_mm/default/parameters1.txt,
	  bin/param_mm/default/parameters2.txt,
	  bin/param_mm/default/parameters3.txt,
	  bin/param_mm/default/parameters4.txt,
	  bin/param_mm/prmfit/atomtypes.txt,
	  bin/param_mm/prmfit/parameters1.txt,
	  bin/param_mm/prmfit/parameters2.txt,
	  bin/param_mm/prmfit/parameters3.txt,
	  bin/param_mm/prmfit/parameters4.txt, configure, configure.in,
	  src/Makefile.in, src/atom.cpp, src/atom.h, src/eng1_qm_mopac.cpp,
	  src/miniMOPAC, src/model.cpp, src/model.h: remove the mopac
	  sources ; moved into a separate library.

2003-11-06 11:59  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/eng2_mm_sf.cpp,
	  src/eng2_mm_sf.h, src/engine.h: added convert_crd for eng1_sf.

2003-09-24 06:47  thassine

	* src/conjgrad.cpp: minor improvements in conjgrad search.

2003-09-11 11:56  thassine

	* src/typerule.cpp, src/typerule.h: some changes in typerules.

2003-09-01 09:25  thassine

	* src/engine.cpp, src/engine.h, src/model.cpp, src/search.cpp: some
	  bugfixes added.

2003-08-29 07:39  thassine

	* bin/param_mm/default/atomtypes.txt,
	  bin/param_mm/default/parameters1.txt,
	  bin/param_mm/default/parameters2.txt,
	  bin/param_mm/default/parameters3.txt,
	  bin/param_mm/default/parameters4.txt,
	  bin/param_mm/prmfit/atomtypes.txt,
	  bin/param_mm/prmfit/parameters1.txt,
	  bin/param_mm/prmfit/parameters2.txt,
	  bin/param_mm/prmfit/parameters3.txt,
	  bin/param_mm/prmfit/parameters4.txt: added a new set of mol.mech.
	  parameters for testing ; less default force constants than in the
	  prev. one.

2003-08-21 09:09  thassine

	* src/eng1_mm_default.cpp, src/eng1_sf.cpp, src/engine.cpp,
	  src/engine.h: some changes in bp (boundary potential) details.

2003-08-21 05:35  thassine

	* src/tab_mm_default.cpp: a bug related to out-of-plane terms is
	  fixed.

2003-08-19 13:12  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/tab_mm_default.cpp: removed some type checks ; (temporarily).

2003-08-19 11:20  thassine

	* src/model.cpp, src/moldyn.cpp, src/moldyn.h: the langevin switch
	  works now better in GUI.

2003-08-18 12:58  thassine

	* src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp:
	  changed the function switch value for angle bending term.

2003-08-14 09:51  thassine

	* bin/param_mm/default/atomtypes.txt,
	  bin/param_mm/default/parameters1.txt, src/eng1_mm.cpp,
	  src/eng1_mm_default.h, src/model.cpp: added a tool for exporting
	  solvent boxes as gromacs input files.

2003-08-08 06:33  thassine

	* src/eng1_mm.cpp, src/eng1_mm.h, src/eng1_mm_default.cpp,
	  src/eng1_mm_default.h, src/model.cpp, src/model.h: some changes
	  in Solvate???() functions and eng1_mm_default_mim.

2003-08-04 06:45  thassine

	* bin/param_mm/default/atomtypes.txt,
	  bin/param_mm/default/parameters1.txt,
	  bin/param_mm/default/parameters2.txt,
	  bin/param_mm/default/parameters3.txt,
	  bin/param_mm/default/parameters4.txt,
	  bin/param_mm/default/parameters5.txt,
	  bin/param_mm/default/parameters6.txt,
	  bin/param_mm/prmfit/atomtypes.txt,
	  bin/param_mm/prmfit/parameters1.txt,
	  bin/param_mm/prmfit/parameters2.txt,
	  bin/param_mm/prmfit/parameters3.txt,
	  bin/param_mm/prmfit/parameters4.txt, src/eng1_mm.cpp,
	  src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/tab_mm_default.cpp,
	  src/tab_mm_default.h: the new force field parameters added for
	  testing; the old ones are tagged WITH_TRIPOS_FF

2003-07-29 13:41  thassine

	* src/model.h: some small changes due to changes in app.

2003-07-24 08:37  thassine

	* src/model.h: some changes added due to changes in the app.

2003-07-15 12:13  thassine

	* src/model.cpp, src/model.h: some changes added to model class
	  (required by the app).

2003-07-11 11:56  thassine

	* AUTHORS, CHANGES, configure, src/atom.cpp, src/atom.h,
	  src/bond.cpp, src/bond.h, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h, src/eng1_qm.cpp,
	  src/eng1_qm.h, src/eng1_qm_mopac.cpp, src/eng1_qm_mopac.h,
	  src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h, src/eng1_sf.cpp,
	  src/eng1_sf.h, src/engine.cpp, src/engine.h, src/geomopt.cpp,
	  src/geomopt.h, src/intcrd.cpp, src/intcrd.h, src/model.cpp,
	  src/model.h, src/moldyn.cpp, src/moldyn.h, src/notice.cpp,
	  src/notice.h, src/search.cpp, src/search.h, src/seqbuild.cpp,
	  src/seqbuild.h, src/simple_test/fileio.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h, src/typerule.cpp,
	  src/typerule.h, src/utility.cpp, src/utility.h: changed the
	  copyright notices a bit; now its just the year when the file was
	  created plus names of the authors.

2003-06-17 12:53  thassine

	* src/typerule.cpp: bugfixes added to the typerule class ; the next
	  rule was not checked in many cases earlier.

2003-06-13 10:15  thassine

	* AUTHORS, acconfig.h, src/Doxyfile, src/eng1_sf.h, src/geomopt.h,
	  src/model.cpp, src/model.h, src/moldyn.h, src/seqbuild.cpp: added
	  more checks where/how the atom_list is sorted. that is important
	  because sorting atom_list may change atom numbering (problem for
	  example TSS).

2003-06-12 12:53  thassine

	* src/bond.cpp, src/bond.h, src/model.cpp, src/search.cpp,
	  src/search.h: added improvements to transition_state_search ;
	  should now work pretty well.

2003-06-11 10:40  thassine

	* src/conjgrad.cpp, src/conjgrad.h, src/eng1_qm.cpp, src/eng1_qm.h,
	  src/eng1_qm_mopac.cpp, src/engine.h, src/geomopt.cpp,
	  src/geomopt.h, src/model.cpp, src/search.cpp, src/search.h,
	  src/utility.cpp: added transition_state_search and
	  stationary_state_search + many related changes here and there.
	  still need to do some testing, and after that add docs in
	  user-docs and some example molecules.

2003-06-05 03:08  thassine

	* bin/param_mm/prmfit, bin/param_mm/prmfit/atomtypes.txt,
	  bin/param_mm/prmfit/parameters1.txt,
	  bin/param_mm/prmfit/parameters2.txt,
	  bin/param_mm/prmfit/parameters3.txt,
	  bin/param_mm/prmfit/parameters4.txt, src/eng1_mm.cpp,
	  src/model.cpp: added an initial version of the experimental FF
	  parameters; for hydrocarbons only and still incomplete.

2003-06-02 15:20  thassine

	* src/eng1_mm.cpp, src/eng1_mm_prmfit.h, src/tab_mm_default.cpp,
	  src/tab_mm_default.h, src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h:
	  some changes in output at force fields and tabs.

2003-06-02 14:29  thassine

	* bin/builder/amino.txt, bin/builder/nucleic.txt,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h, src/typerule.cpp,
	  src/typerule.h: some changes in MM force fields.

2003-05-21 14:32  thassine

	* src/eng1_mm_prmfit.cpp, src/tab_mm_prmfit.cpp,
	  src/tab_mm_prmfit.h: added misc changes in mol mech stuff.

2003-05-19 07:05  thassine

	* src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h, src/model.cpp,
	  src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h: many changes in MM
	  force fields/tables; the AMBER implementation should be OK now.

2003-05-16 10:20  thassine

	* bin/param_mm/default/parameters6.txt: changes to MM force field ;
	  added one input file.

2003-05-16 10:19  thassine

	* bin/param_mm/default/parameters4.txt,
	  bin/param_mm/default/parameters5.txt, src/eng1_mm_default.cpp,
	  src/eng1_mm_default.h, src/eng1_mm_prmfit.cpp,
	  src/eng1_mm_prmfit.h, src/model.cpp, src/tab_mm_default.cpp,
	  src/tab_mm_default.h, src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h:
	  changes to MM force field ; need to make it AMBER-compatible.

2003-05-12 09:11  thassine

	* src/eng1_sf.h: minor changes to ribbon, etc.

2003-04-29 10:14  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/model.cpp, src/model.h,
	  src/seqbuild.cpp, src/seqbuild.h, src/tab_mm_default.cpp,
	  src/utility.cpp: many changes; now AddHydrogens() is more
	  compatible with seq-builder and forcefield.

2003-04-25 10:20  thassine

	* bin/param_mm/default/parameters5.txt, src/atom.cpp, src/atom.h,
	  src/eng1_mm.cpp, src/tab_mm_default.cpp, src/tab_mm_default.h:
	  added an option to molecular mechanics, so that one can use AMBER
	  forcefield charges/parameters for amino/nucleic acids. charges
	  are OK now but other params not yet added. the option is very
	  nifty about correctness of topology, but that will be fixed
	  later.

2003-04-17 07:34  thassine

	* src/model.cpp, src/seqbuild.cpp: setup objects were not deleted,
	  causing MOPAC to leave some files around and also memory leaking;
	  fixed now.

2003-04-16 13:43  thassine

	* src/eng1_mm.cpp, src/eng1_mm.h, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/model.cpp, src/moldyn.cpp, src/moldyn.h,
	  src/tab_mm_default.cpp: many small changes (including trajectory
	  writing).

2003-04-10 13:49  thassine

	* src/libconfig.h.in: only whitespace changed.

2003-04-10 12:50  thassine

	* src/bond.h, src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng2_qm_mm.cpp, src/eng2_qm_mm.h, src/model.h,
	  src/seqbuild.cpp, src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h, src/typerule.cpp:
	  many changes in molmech tables and parameters (not ready yet).

2003-04-10 12:48  thassine

	* Makefile.in, configure, configure.in, src/libconfig.h.in:
	  configuration files updated.

2003-04-10 12:46  thassine

	* bin/amber, bin/amber/README, bin/amber/all_amino02.in,
	  bin/amber/all_aminoct02.in, bin/amber/all_aminont02.in,
	  bin/amber/all_nuc02.in, bin/amber/parm99.dat,
	  bin/builder/amino.txt, bin/builder/nucleic.txt: changes/additions
	  in data files.

2003-04-02 06:12  thassine

	* src/atom.cpp, src/atom.h, src/eng1_sf.cpp, src/seqbuild.cpp,
	  src/utility.cpp: some changes/additions in the atom class.

2003-03-18 10:08  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h: just minor rearrangements.

2003-03-17 10:13  thassine

	* src/eng1_sf.cpp: added a notice about solvation model (not yet
	  automatically set).

2003-03-17 10:11  thassine

	* src/model.cpp, src/moldyn.cpp, src/moldyn.h: a bugfix for ribbons
	  added, and some changes in moldyn.

2003-03-12 07:19  thassine

	* src/eng1_sf.cpp: just some cleanups in comments etc.

2003-03-11 14:22  thassine

	* src/model.cpp: added the frame_save_frq variable to
	  model::DoMoldyn()

2003-03-11 07:58  thassine

	* src/model.h: ooops; a function was missing.

2003-03-07 10:39  thassine

	* src/simple_test, src/simple_test/Makefile,
	  src/simple_test/example_file.gpr, src/simple_test/fileio.cpp,
	  src/simple_test/st_main.cpp, src/simple_test/st_main.h: added a
	  simple test suite (with a Makefile of it's own).

2003-02-14 10:56  thassine

	* src/eng1_sf.cpp: slight changes in output.

2003-02-14 07:59  thassine

	* src/model.cpp, src/moldyn.cpp, src/moldyn.h: many
	  molecular-dynamics-related changes.

2003-02-11 14:44  thassine

	* src/eng1_mm_default.cpp, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/eng2_mm_sf.cpp, src/engine.h, src/model.cpp, src/model.h,
	  src/moldyn.cpp, src/moldyn.h: sf will (later) support both
	  implicit and explicit solvation model; work started now.

2003-02-08 07:35  thassine

	* src/atom.h, src/bond.cpp, src/bond.h, src/eng1_mm.cpp,
	  src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.h, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/eng2_mm_sf.cpp, src/eng2_qm_mm.cpp, src/engine.cpp,
	  src/engine.h, src/model.cpp, src/model.h, src/tab_mm_default.cpp:
	  make separate subclasses for boundary-potential and
	  periodic-boundary eng-classes; also some comments added etc.

2003-02-06 14:50  thassine

	* bin/param_mm/default/parameters1.txt,
	  bin/param_mm/default/parameters2.txt,
	  bin/param_mm/default/parameters5.txt, src/atom.h,
	  src/eng1_mm.cpp, src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng2_mm_sf.cpp, src/eng2_mm_sf.h, src/eng2_qm_mm.cpp,
	  src/eng2_qm_mm.h, src/engine.cpp, src/engine.h, src/model.cpp,
	  src/model.h, src/moldyn.h, src/tab_mm_default.cpp: many changes
	  (computations-related).

2003-02-03 09:50  thassine

	* bin/param_mm/default/parameters5.txt, src/eng1_mm.cpp,
	  src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/model.cpp, src/model.h, src/moldyn.cpp,
	  src/tab_mm_default.cpp: some changes to MM force field parameters
	  (for H2O) and some important bugfixes in MM connectivity records
	  code; this will affect nonbonded interactions.

2003-01-31 12:24  thassine

	* src/engine.cpp, src/geomopt.cpp, src/model.h, src/moldyn.cpp,
	  src/utility.cpp, src/utility.h: many bugfixes added; it is
	  important to note that model::GetAtomCount() may now be different
	  from engine::GetAtomCount().

2003-01-31 09:25  thassine

	* src/eng1_sf.cpp, src/engine.cpp, src/engine.h, src/model.cpp: an
	  important bugfix was added to engine::engine(); also some minor
	  fixes.

2003-01-30 16:31  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h: several fixes to SF; should now
	  work more or less again.

2003-01-30 14:14  thassine

	* src/eng1_sf.cpp, src/eng1_sf.h, src/model.cpp: many changes in
	  SF.

2003-01-30 08:29  thassine

	* src/Makefile.in, src/atom.cpp, src/atom.h, src/eng1_mm.cpp,
	  src/eng1_mm.h, src/eng1_mm_default.cpp, src/eng1_mm_prmfit.cpp,
	  src/eng1_qm.cpp, src/eng1_qm.h, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/eng2_mm_sf.cpp, src/eng2_mm_sf.h, src/eng2_qm_mm.cpp,
	  src/eng2_qm_mm.h, src/engine.cpp, src/engine.h, src/model.cpp,
	  src/model.h: many changes in the way how data is stored in
	  different models; compiles but SF-stuff does not work yet; QM and
	  MM should work.

2003-01-27 13:43  thassine

	* src/atom.h, src/eng1_mm.cpp, src/eng1_mm.h, src/eng1_qm.cpp,
	  src/eng1_qm.h, src/eng1_sf.cpp, src/eng1_sf.h,
	  src/eng2_mm_sf.cpp, src/eng2_mm_sf.h, src/eng2_qm_mm.cpp,
	  src/eng2_qm_mm.h, src/engine.cpp, src/engine.h, src/model.cpp,
	  src/model.h, src/seqbuild.cpp, src/seqbuild.h, src/utility.cpp:
	  many changes in the way how the setup classes work (not even
	  ready yet but compiles and qm/mm works).

2003-01-24 08:01  thassine

	* src/seqbuild.cpp: a fix to sequence-builder: identify now also
	  includes H atoms to residues that it detects, so that selecting
	  by chain/residue now works as expected.

2003-01-23 12:55  thassine

	* src/atom.h, src/model.cpp, src/model.h, src/seqbuild.cpp,
	  src/seqbuild.h: some improvements to seqbuilder.

2003-01-22 11:09  thassine

	* src, src/.cvsignore: minor cleanups.

2003-01-22 09:25  thassine

	* src/eng1_mm_prmfit.h: minor cleanups.

2003-01-22 09:11  thassine

	* src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h: some cleanups, again.

2003-01-22 08:28  thassine

	* src/typedef.h: added a missing file

2003-01-22 08:28  thassine

	* src/model.cpp, src/model.h: minor cleanups.

2003-01-22 07:18  thassine

	* Makefile.in, src/Makefile.in, src/eng1_sf.cpp, src/libdefine.h,
	  src/model.cpp, src/model.h, src/notice.cpp, src/notice.h,
	  src/seqbuild.cpp, src/tab_mm_default.cpp: now also make install
	  works.

2003-01-21 11:42  thassine

	* src/eng2_qm_mm.h, src/errutil.cpp, src/errutil.h,
	  src/libdefine.h: various improvements...

2003-01-21 11:19  thassine

	* Makefile.in, configure, configure.in, src/Makefile.in,
	  src/atom.h, src/bond.h, src/config.h.in, src/conjgrad.h,
	  src/define.h, src/eng1_mm.h, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.h, src/eng1_qm.h, src/eng1_qm_mopac.h,
	  src/eng1_qm_mpqc.h, src/eng1_sf.h, src/eng2_mm_sf.h,
	  src/engine.h, src/geomopt.h, src/intcrd.cpp, src/intcrd.h,
	  src/libconfig.h.in, src/libdefine.h, src/model.cpp, src/model.h,
	  src/moldyn.h, src/notice.cpp, src/notice.h, src/search.h,
	  src/seqbuild.cpp, src/seqbuild.h, src/tab_mm_default.h,
	  src/tab_mm_prmfit.h, src/typedef.h, src/typerule.cpp,
	  src/typerule.h, src/utility.cpp, src/utility.h, src/v3d.h: many
	  improvements added but make install does not work yet.

2003-01-20 14:05  thassine

	* configure, src/engine.h: minor fixes; not ready yet...

2003-01-20 08:38  thassine

	* ., .cvsignore, AUTHORS, CHANGES, COPYING, INSTALL, Makefile.in,
	  TODO, acconfig.h, aclocal.m4, bin, bin/.cvsignore, bin/builder,
	  bin/builder/amino.txt, bin/builder/nucleic.txt, bin/param_mm,
	  bin/param_mm/default, bin/param_mm/default/atomtypes.txt,
	  bin/param_mm/default/parameters1.txt,
	  bin/param_mm/default/parameters2.txt,
	  bin/param_mm/default/parameters3.txt,
	  bin/param_mm/default/parameters4.txt,
	  bin/param_mm/default/parameters5.txt, bin/param_sf,
	  bin/param_sf/default, bin/param_sf/default/loopdip.txt,
	  bin/param_sf/default/looptor.txt,
	  bin/param_sf/default/nonbonded.txt, config.guess, config.sub,
	  configure, configure.in, install-sh, libghemical.spec,
	  mkinstalldirs, src, src/.cvsignore, src/Doxyfile,
	  src/Makefile.in, src/atom.cpp, src/atom.h, src/bond.cpp,
	  src/bond.h, src/config.h.in, src/conjgrad.cpp, src/conjgrad.h,
	  src/define.h, src/eng1_mm.cpp, src/eng1_mm.h,
	  src/eng1_mm_default.cpp, src/eng1_mm_default.h,
	  src/eng1_mm_prmfit.cpp, src/eng1_mm_prmfit.h, src/eng1_qm.cpp,
	  src/eng1_qm.h, src/eng1_qm_mopac.cpp, src/eng1_qm_mopac.h,
	  src/eng1_qm_mpqc.cpp, src/eng1_qm_mpqc.h, src/eng1_sf.cpp,
	  src/eng1_sf.h, src/eng2_mm_sf.cpp, src/eng2_mm_sf.h,
	  src/eng2_qm_mm.cpp, src/eng2_qm_mm.h, src/engine.cpp,
	  src/engine.h, src/errutil.cpp, src/errutil.h, src/geomopt.cpp,
	  src/geomopt.h, src/intcrd.cpp, src/intcrd.h, src/miniMOPAC,
	  src/miniMOPAC/.cvsignore, src/miniMOPAC/Makefile.in,
	  src/miniMOPAC/README, src/miniMOPAC/aababc.c,
	  src/miniMOPAC/addfck.c, src/miniMOPAC/addhcr.c,
	  src/miniMOPAC/addnuc.c, src/miniMOPAC/analyt.c,
	  src/miniMOPAC/anavib.c, src/miniMOPAC/axis.c,
	  src/miniMOPAC/block.c, src/miniMOPAC/bonds.c,
	  src/miniMOPAC/brlzon.c, src/miniMOPAC/btoc.c,
	  src/miniMOPAC/calpar.c, src/miniMOPAC/capcor.c,
	  src/miniMOPAC/cdiag.c, src/miniMOPAC/chrge.c,
	  src/miniMOPAC/cnvg.c, src/miniMOPAC/compfg.c,
	  src/miniMOPAC/config.log, src/miniMOPAC/consts.c,
	  src/miniMOPAC/cqden.c, src/miniMOPAC/datin.c,
	  src/miniMOPAC/dcart.c, src/miniMOPAC/delmol.c,
	  src/miniMOPAC/delri.c, src/miniMOPAC/denrot.c,
	  src/miniMOPAC/densit.c, src/miniMOPAC/depvar.c,
	  src/miniMOPAC/deri0.c, src/miniMOPAC/deri1.c,
	  src/miniMOPAC/deri2.c, src/miniMOPAC/deri21.c,
	  src/miniMOPAC/deri22.c, src/miniMOPAC/deri23.c,
	  src/miniMOPAC/deritr.c, src/miniMOPAC/deriv.c,
	  src/miniMOPAC/dernvo.c, src/miniMOPAC/ders.c,
	  src/miniMOPAC/dfock2.c, src/miniMOPAC/dfpsav.c,
	  src/miniMOPAC/dgemm.c, src/miniMOPAC/dgemv.c,
	  src/miniMOPAC/dger.c, src/miniMOPAC/dgetf2.c,
	  src/miniMOPAC/dgetrf.c, src/miniMOPAC/dgetri.c,
	  src/miniMOPAC/diag.c, src/miniMOPAC/diat.c,
	  src/miniMOPAC/diat2.c, src/miniMOPAC/diegrd.c,
	  src/miniMOPAC/dielen.c, src/miniMOPAC/diis.c,
	  src/miniMOPAC/dijkl1.c, src/miniMOPAC/dijkl2.c,
	  src/miniMOPAC/dipind.c, src/miniMOPAC/dipole.c,
	  src/miniMOPAC/dlaswp.c, src/miniMOPAC/dofs.c,
	  src/miniMOPAC/dot.c, src/miniMOPAC/drc.c, src/miniMOPAC/drcout.c,
	  src/miniMOPAC/dtrmm.c, src/miniMOPAC/dtrmv.c,
	  src/miniMOPAC/dtrsm.c, src/miniMOPAC/dtrti2.c,
	  src/miniMOPAC/dtrtri.c, src/miniMOPAC/dvfill.c,
	  src/miniMOPAC/ef.c, src/miniMOPAC/enpart.c, src/miniMOPAC/esp.c,
	  src/miniMOPAC/etime.c, src/miniMOPAC/exchng.c,
	  src/miniMOPAC/fdate.c, src/miniMOPAC/ffhpol.c,
	  src/miniMOPAC/flepo.c, src/miniMOPAC/fmat.c,
	  src/miniMOPAC/fock1.c, src/miniMOPAC/fock2.c,
	  src/miniMOPAC/force.c, src/miniMOPAC/formxy.c,
	  src/miniMOPAC/forsav.c, src/miniMOPAC/fortran,
	  src/miniMOPAC/fortran/SIZES, src/miniMOPAC/fortran/aababc.f,
	  src/miniMOPAC/fortran/addfck.f, src/miniMOPAC/fortran/addhcr.f,
	  src/miniMOPAC/fortran/addnuc.f, src/miniMOPAC/fortran/analyt.f,
	  src/miniMOPAC/fortran/anavib.f, src/miniMOPAC/fortran/axis.f,
	  src/miniMOPAC/fortran/block.f, src/miniMOPAC/fortran/bonds.f,
	  src/miniMOPAC/fortran/brlzon.f, src/miniMOPAC/fortran/btoc.f,
	  src/miniMOPAC/fortran/calpar.f, src/miniMOPAC/fortran/capcor.f,
	  src/miniMOPAC/fortran/cdiag.f, src/miniMOPAC/fortran/chrge.f,
	  src/miniMOPAC/fortran/cnvg.f, src/miniMOPAC/fortran/compfg.f,
	  src/miniMOPAC/fortran/consts.f, src/miniMOPAC/fortran/cqden.f,
	  src/miniMOPAC/fortran/datin.f, src/miniMOPAC/fortran/dcart.f,
	  src/miniMOPAC/fortran/delmol.f, src/miniMOPAC/fortran/delri.f,
	  src/miniMOPAC/fortran/denrot.f, src/miniMOPAC/fortran/densit.f,
	  src/miniMOPAC/fortran/depvar.f, src/miniMOPAC/fortran/deri0.f,
	  src/miniMOPAC/fortran/deri1.f, src/miniMOPAC/fortran/deri2.f,
	  src/miniMOPAC/fortran/deri21.f, src/miniMOPAC/fortran/deri22.f,
	  src/miniMOPAC/fortran/deri23.f, src/miniMOPAC/fortran/deritr.f,
	  src/miniMOPAC/fortran/deriv.f, src/miniMOPAC/fortran/dernvo.f,
	  src/miniMOPAC/fortran/ders.f, src/miniMOPAC/fortran/dfock2.f,
	  src/miniMOPAC/fortran/dfpsav.f, src/miniMOPAC/fortran/dgemm.f,
	  src/miniMOPAC/fortran/dgemv.f, src/miniMOPAC/fortran/dger.f,
	  src/miniMOPAC/fortran/dgetf2.f, src/miniMOPAC/fortran/dgetrf.f,
	  src/miniMOPAC/fortran/dgetri.f, src/miniMOPAC/fortran/diag.f,
	  src/miniMOPAC/fortran/diat.f, src/miniMOPAC/fortran/diat2.f,
	  src/miniMOPAC/fortran/diegrd.f, src/miniMOPAC/fortran/dielen.f,
	  src/miniMOPAC/fortran/diis.f, src/miniMOPAC/fortran/dijkl1.f,
	  src/miniMOPAC/fortran/dijkl2.f, src/miniMOPAC/fortran/dipind.f,
	  src/miniMOPAC/fortran/dipole.f, src/miniMOPAC/fortran/dlaswp.f,
	  src/miniMOPAC/fortran/dofs.f, src/miniMOPAC/fortran/dot.f,
	  src/miniMOPAC/fortran/drc.f, src/miniMOPAC/fortran/drcout.f,
	  src/miniMOPAC/fortran/dtrmm.f, src/miniMOPAC/fortran/dtrmv.f,
	  src/miniMOPAC/fortran/dtrsm.f, src/miniMOPAC/fortran/dtrti2.f,
	  src/miniMOPAC/fortran/dtrtri.f, src/miniMOPAC/fortran/dvfill.f,
	  src/miniMOPAC/fortran/ef.f, src/miniMOPAC/fortran/enpart.f,
	  src/miniMOPAC/fortran/esp.f, src/miniMOPAC/fortran/etime.c,
	  src/miniMOPAC/fortran/exchng.f, src/miniMOPAC/fortran/fdate.c,
	  src/miniMOPAC/fortran/ffhpol.f, src/miniMOPAC/fortran/flepo.f,
	  src/miniMOPAC/fortran/fmat.f, src/miniMOPAC/fortran/fock1.f,
	  src/miniMOPAC/fortran/fock2.f, src/miniMOPAC/fortran/force.f,
	  src/miniMOPAC/fortran/formxy.f, src/miniMOPAC/fortran/forsav.f,
	  src/miniMOPAC/fortran/frame.f, src/miniMOPAC/fortran/freqcy.f,
	  src/miniMOPAC/fortran/geout.f, src/miniMOPAC/fortran/geoutg.f,
	  src/miniMOPAC/fortran/getgeg.f, src/miniMOPAC/fortran/getgeo.f,
	  src/miniMOPAC/fortran/getsym.f, src/miniMOPAC/fortran/gettxt.f,
	  src/miniMOPAC/fortran/gmetry.f, src/miniMOPAC/fortran/gover.f,
	  src/miniMOPAC/fortran/greenf.f, src/miniMOPAC/fortran/grid.f,
	  src/miniMOPAC/fortran/h1elec.f, src/miniMOPAC/fortran/haddon.f,
	  src/miniMOPAC/fortran/hcore.f, src/miniMOPAC/fortran/helect.f,
	  src/miniMOPAC/fortran/hqrii.f, src/miniMOPAC/fortran/ijkl.f,
	  src/miniMOPAC/fortran/ilaenv.f, src/miniMOPAC/fortran/initsv.f,
	  src/miniMOPAC/fortran/interp.f, src/miniMOPAC/fortran/iter.f,
	  src/miniMOPAC/fortran/jcarin.f, src/miniMOPAC/fortran/linmin.f,
	  src/miniMOPAC/fortran/local.f, src/miniMOPAC/fortran/locmin.f,
	  src/miniMOPAC/fortran/lsame.f, src/miniMOPAC/fortran/makpol.f,
	  src/miniMOPAC/fortran/mamult.f, src/miniMOPAC/fortran/matou1.f,
	  src/miniMOPAC/fortran/matout.f, src/miniMOPAC/fortran/matpak.f,
	  src/miniMOPAC/fortran/meci.f, src/miniMOPAC/fortran/mecid.f,
	  src/miniMOPAC/fortran/mecih.f, src/miniMOPAC/fortran/mecip.f,
	  src/miniMOPAC/fortran/minimopac.f,
	  src/miniMOPAC/fortran/moldat.f, src/miniMOPAC/fortran/molval.f,
	  src/miniMOPAC/fortran/mopac.f, src/miniMOPAC/fortran/mullik.f,
	  src/miniMOPAC/fortran/mult.f, src/miniMOPAC/fortran/nllsq.f,
	  src/miniMOPAC/fortran/nuchar.f, src/miniMOPAC/fortran/parsav.f,
	  src/miniMOPAC/fortran/partxy.f, src/miniMOPAC/fortran/pathk.f,
	  src/miniMOPAC/fortran/paths.f, src/miniMOPAC/fortran/perm.f,
	  src/miniMOPAC/fortran/polar.f, src/miniMOPAC/fortran/powsav.f,
	  src/miniMOPAC/fortran/powsq.f, src/miniMOPAC/fortran/prtdrc.f,
	  src/miniMOPAC/fortran/quadr.f, src/miniMOPAC/fortran/react1.f,
	  src/miniMOPAC/fortran/reada.f, src/miniMOPAC/fortran/readmo.f,
	  src/miniMOPAC/fortran/refer.f, src/miniMOPAC/fortran/repp.f,
	  src/miniMOPAC/fortran/rotat.f, src/miniMOPAC/fortran/rotate.f,
	  src/miniMOPAC/fortran/rsp.f, src/miniMOPAC/fortran/search.f,
	  src/miniMOPAC/fortran/second.f, src/miniMOPAC/fortran/setupg.f,
	  src/miniMOPAC/fortran/solrot.f, src/miniMOPAC/fortran/swap.f,
	  src/miniMOPAC/fortran/sympro.f, src/miniMOPAC/fortran/symtry.f,
	  src/miniMOPAC/fortran/symtrz.f, src/miniMOPAC/fortran/thermo.f,
	  src/miniMOPAC/fortran/timer.f, src/miniMOPAC/fortran/timout.f,
	  src/miniMOPAC/fortran/update.f, src/miniMOPAC/fortran/upsurf.f,
	  src/miniMOPAC/fortran/vecprt.f, src/miniMOPAC/fortran/writmo.f,
	  src/miniMOPAC/fortran/wrtkey.f, src/miniMOPAC/fortran/wrttxt.f,
	  src/miniMOPAC/fortran/xerbla.f, src/miniMOPAC/fortran/xyzint.f,
	  src/miniMOPAC/frame.c, src/miniMOPAC/freqcy.c,
	  src/miniMOPAC/geout.c, src/miniMOPAC/geoutg.c,
	  src/miniMOPAC/getgeg.c, src/miniMOPAC/getgeo.c,
	  src/miniMOPAC/getsym.c, src/miniMOPAC/gettxt.c,
	  src/miniMOPAC/gmetry.c, src/miniMOPAC/gover.c,
	  src/miniMOPAC/greenf.c, src/miniMOPAC/grid.c,
	  src/miniMOPAC/h1elec.c, src/miniMOPAC/haddon.c,
	  src/miniMOPAC/hcore.c, src/miniMOPAC/helect.c,
	  src/miniMOPAC/hqrii.c, src/miniMOPAC/ijkl.c,
	  src/miniMOPAC/ilaenv.c, src/miniMOPAC/initsv.c,
	  src/miniMOPAC/interp.c, src/miniMOPAC/iter.c,
	  src/miniMOPAC/jcarin.c, src/miniMOPAC/linmin.c,
	  src/miniMOPAC/local.c, src/miniMOPAC/locmin.c,
	  src/miniMOPAC/lsame.c, src/miniMOPAC/makpol.c,
	  src/miniMOPAC/mamult.c, src/miniMOPAC/matou1.c,
	  src/miniMOPAC/matout.c, src/miniMOPAC/matpak.c,
	  src/miniMOPAC/meci.c, src/miniMOPAC/mecid.c,
	  src/miniMOPAC/mecih.c, src/miniMOPAC/mecip.c,
	  src/miniMOPAC/minimopac.c, src/miniMOPAC/moldat.c,
	  src/miniMOPAC/molval.c, src/miniMOPAC/mullik.c,
	  src/miniMOPAC/mult.c, src/miniMOPAC/nllsq.c,
	  src/miniMOPAC/nuchar.c, src/miniMOPAC/parsav.c,
	  src/miniMOPAC/partxy.c, src/miniMOPAC/pathk.c,
	  src/miniMOPAC/paths.c, src/miniMOPAC/perm.c,
	  src/miniMOPAC/polar.c, src/miniMOPAC/powsav.c,
	  src/miniMOPAC/powsq.c, src/miniMOPAC/prtdrc.c,
	  src/miniMOPAC/quadr.c, src/miniMOPAC/react1.c,
	  src/miniMOPAC/reada.c, src/miniMOPAC/readmo.c,
	  src/miniMOPAC/refer.c, src/miniMOPAC/repp.c,
	  src/miniMOPAC/rotat.c, src/miniMOPAC/rotate.c,
	  src/miniMOPAC/rsp.c, src/miniMOPAC/search.c,
	  src/miniMOPAC/second.c, src/miniMOPAC/setupg.c,
	  src/miniMOPAC/solrot.c, src/miniMOPAC/swap.c,
	  src/miniMOPAC/sympro.c, src/miniMOPAC/symtry.c,
	  src/miniMOPAC/symtrz.c, src/miniMOPAC/thermo.c,
	  src/miniMOPAC/timer.c, src/miniMOPAC/timout.c,
	  src/miniMOPAC/update.c, src/miniMOPAC/upsurf.c,
	  src/miniMOPAC/vecprt.c, src/miniMOPAC/writmo.c,
	  src/miniMOPAC/wrtkey.c, src/miniMOPAC/wrttxt.c,
	  src/miniMOPAC/xerbla.c, src/miniMOPAC/xyzint.c, src/model.cpp,
	  src/model.h, src/moldyn.cpp, src/moldyn.h, src/notice.cpp,
	  src/notice.h, src/search.cpp, src/search.h, src/seqbuild.cpp,
	  src/seqbuild.h, src/tab_mm_default.cpp, src/tab_mm_default.h,
	  src/tab_mm_prmfit.cpp, src/tab_mm_prmfit.h, src/typedef.h,
	  src/typerule.cpp, src/typerule.h, src/utility.cpp, src/utility.h,
	  src/v3d.h: Initial revision

2003-01-20 08:38  

	* .: New repository initialized by cvs2svn.

